﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace pageup_down
{
    /// <summary>
    /// Blue outline that adorns elements that have LOGICAL focus.
    /// </summary>
    public class FocusAdorner : Adorner
    {
        public FocusAdorner( UIElement adornedElement ) : base( adornedElement ) {}

        protected override void OnRender(System.Windows.Media.DrawingContext drawingContext)
        {
            Rect r = new Rect( AdornedElement.RenderSize );
            Rect adornedElementRect = new Rect( r.X - 5, r.Y - 5, r.Width + 10, r.Height + 10 );
            Brush renderBrush = new SolidColorBrush( Colors.DodgerBlue);
            Pen renderPen = new Pen( renderBrush, 2);
            drawingContext.DrawRectangle(null,  renderPen, adornedElementRect);
        }
    }
}
